# Method: customers.customBiddingAlgorithms.list

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.ListCustomBiddingAlgorithmsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/list#body.aspect)

Lists the custom bidding algorithms managed by the specified Ads Data Hub customer.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/customBiddingAlgorithms`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent customer resource name, e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of custom bidding algorithms to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results. |
| `showDeleted` | `boolean` If set to true, deleted custom bidding algorithms will be included in the response. |
| `filter` | `string` Example filter: title = "cba name" AND dv360PartnerId = 1 AND customBiddingQuery = "customers/744124092/customBiddingQueries/1a65fdb103db4e9e9e30085ce6381e26" AND deleteTime \> "2012-04-21T11:30:00-04:00" AND createEmail = "creator@email.com" |

### Request body

The request body must be empty.

### Response body

Response to a ListCustomBiddingAlgorithmsRequest. It contains custom bidding algorithms managed by the specified Ads Data Hub customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customBiddingAlgorithms": [ { object (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms#CustomBiddingAlgorithm`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customBiddingAlgorithms[]` | ``object (`https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms#CustomBiddingAlgorithm`)`` A list of custom bidding algorithms |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`